package br.usp.ime.mac5855.knn;

/**
 * Ponderador que no faz nada, a ser usado para calcular-se mdias no
 * ponderadas. Este ponderador sempre d o peso 1, no importando a distncia
 * dos vizinhos do Knn que for informada.
 * @author Victor Williams Stafusa da Silva
 */
public final class PonderadorMediaSimples implements PonderadorKnn {

    /**
     * Construtor nico.
     */
    public PonderadorMediaSimples() {}

    /**
     * Pondera um valor representando uma distncia. Como este ponderador 
     * justamente o que no pondera nada, sempre retorna a constante 1, o que
     * significa que todos os vizinhos tem o mesmo peso.
     * @param valor O valor a ser ponderado. Como este ponderador  justamente
     * o que no pondera nada, este parmetro  simplesmente ignorado.
     * @return A constante 1.
     */
    @Override
    public double ponderar(double valor) {
        return 1.0;
    }
}