package br.usp.ime.mac5855.testeknn;

import br.usp.ime.mac5855.knn.ComparadorEuclideano;
import br.usp.ime.mac5855.knn.ComparadorKnn;
import br.usp.ime.mac5855.knn.EscalonadorMultiplicativo;
import br.usp.ime.mac5855.knn.KnnPonderado;
import br.usp.ime.mac5855.knn.KnnStrategy;
import br.usp.ime.mac5855.knn.PonderadorGaussiano;
import br.usp.ime.mac5855.knn.PonderadorKnn;
import java.util.HashMap;
import java.util.Map;

/**
 *
 * @author Victor Williams Stafusa da Silva
 */
class TestesUnitarios {

    public static void main(String[] args) {
        Map<Integer, Double> mapa = new HashMap<Integer, Double>();
        mapa.put(1, 1.0);
        mapa.put(2, 2.0);
        mapa.put(3, 3.0);
        mapa.put(4, 4.0);
        //mapa.put(5, 5.0);
        mapa.put(6, 6.0);
        mapa.put(7, 7.0);
        mapa.put(8, 8.0);
        KnnPonderado<Integer> knn = new KnnPonderado<Integer>(mapa, new KnnStrategy<Integer>() {

            public ComparadorKnn<Integer> getComparador() {
                return new ComparadorEuclideano<Integer>(new EscalonadorMultiplicativo<Integer>(new double[] {1}) {
                    public double[] valores(Integer elemento) {
                        return new double[] { elemento };
                    }
                });
            }

            public PonderadorKnn getPonderador() {
                return new PonderadorGaussiano(0.5);
            }

            public int getNumeroVizinhos() {
                return 4;
            }
        });

        System.out.println(knn.estimarPreco(5));
    }
}
